indexing
	description: "Objects that are parallelograms"
	author: "Ruihua Jin"
	date: "$October 24, 2007$"
	revision: "$Revision 1.0$"

class
	PARALLELOGRAM

create
	make_with_4_vertices

feature {NONE}
	make_with_4_vertices(v : ARRAY[POINT]) is
			-- Initialization.
		require else
			v_not_void : v /= Void
			v_count_equals_4 : v.count = 4
		do
			vertices := v
			height1 := 50  -- TODO
			height2 := 20
		end

feature
	height1 : INTEGER
	height2 : INTEGER
	vertices : ARRAY[POINT]

invariant
	height1_positive : height1 > 0
	height2_positive : height2 > 0
	vertices_not_void : vertices /= Void
	vertices_count_equals_4 : vertices.count = 4

end
